package nc.vo.cm.fetchdata.entity;

package ..deTemp.1730005681142;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import nc.vo.cm.fetchdata.entity.PullDataStateVO;
import nc.vo.pub.CircularlyAccessibleValueObject;
import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pub.lang.UFDate;

public class FetchParamVO extends SuperVO {
  private String pk_group;
  
  private String pk_org;
  
  private String pk_org_v;
  
  private String daccountperiod;
  
  private List<List<UFDate>> beginenddate;
  
  private CircularlyAccessibleValueObject[] outsystemdatas;
  
  private UFBoolean bfetched;
  
  private Integer ifetchscheme = Integer.valueOf(1);
  
  private Integer ifetchobjtype = Integer.valueOf(0);
  
  private List<String> ccostcenterid;
  
  private Integer nday;
  
  private Integer pulldatatype = Integer.valueOf(1);
  
  private UFDate busiDate = null;
  
  private Map<Integer, List<String>> billTypeMap = new HashMap<Integer, List<String>>();
  
  private String acountBook = null;
  
  private Set<String> costDomain = null;
  
  private boolean isFetchBefore = false;
  
  private nc.vo.cm.fetchdata.entity.FetchParamVO allFetchParamVo = null;
  
  private PullDataStateVO[] pullDataStateVOArr = null;
  
  private Integer uiType = null;
  
  private UFDate[] beginEndDate = null;
  
  private boolean isOutcoming = false;
  
  private boolean isForTrans = false;
  
  public static final String PK_GROUP = "pk_group";
  
  public static final String PK_ORG = "pk_org";
  
  public static final String PK_ORG_V = "pk_org_v";
  
  public static final String DACCOUNTPERIOD = "daccountperiod";
  
  public static final String DBEGINDATE = "dbegindate";
  
  public static final String DENDDATE = "denddate";
  
  public static final String BFETCHED = "bfetched";
  
  public static final String IFETCHSCHEME = "ifetchscheme";
  
  public static final String IFETCHOBJTYPE = "ifetchobjtype";
  
  public static final String CCOSTCENTERID = "ccostcenterid";
  
  public static final String NDAY = "nday";
  
  public static final String PULLDATATYPE = "pulldatatype";
  
  public String getPk_group() {
    return this.pk_group;
  }
  
  public void setPk_group(String newPk_group) {
    this.pk_group = newPk_group;
  }
  
  public String getPk_org() {
    return this.pk_org;
  }
  
  public void setPk_org(String newPk_org) {
    this.pk_org = newPk_org;
  }
  
  public String getPk_org_v() {
    return this.pk_org_v;
  }
  
  public void setPk_org_v(String newPk_org_v) {
    this.pk_org_v = newPk_org_v;
  }
  
  public String getDaccountperiod() {
    return this.daccountperiod;
  }
  
  public List<List<UFDate>> getBeginenddate() {
    return this.beginenddate;
  }
  
  public void setBeginenddate(List<List<UFDate>> beginenddate) {
    this.beginenddate = beginenddate;
  }
  
  public void setDaccountperiod(String newDaccountperiod) {
    this.daccountperiod = newDaccountperiod;
  }
  
  public UFBoolean getBfetched() {
    return this.bfetched;
  }
  
  public void setBfetched(UFBoolean newBfetched) {
    this.bfetched = newBfetched;
  }
  
  public Integer getIfetchscheme() {
    return this.ifetchscheme;
  }
  
  public void setIfetchscheme(Integer newIfetchscheme) {
    this.ifetchscheme = newIfetchscheme;
  }
  
  public Integer getIfetchobjtype() {
    return this.ifetchobjtype;
  }
  
  public void setIfetchobjtype(Integer newIfetchobjtype) {
    this.ifetchobjtype = newIfetchobjtype;
  }
  
  public List<String> getCcostcenterid() {
    return this.ccostcenterid;
  }
  
  public void setCcostcenterid(List<String> newCcostcenterid) {
    this.ccostcenterid = newCcostcenterid;
  }
  
  public Integer getNday() {
    return this.nday;
  }
  
  public void setNday(Integer newNday) {
    this.nday = newNday;
  }
  
  public Integer getPulldatatype() {
    return this.pulldatatype;
  }
  
  public void setPulldatatype(Integer newPulldatatype) {
    this.pulldatatype = newPulldatatype;
  }
  
  public CircularlyAccessibleValueObject[] getOutsystemdatas() {
    return this.outsystemdatas;
  }
  
  public void setOutsystemdatas(CircularlyAccessibleValueObject[] outsystemdatas) {
    this.outsystemdatas = outsystemdatas;
  }
  
  public String getParentPKFieldName() {
    return null;
  }
  
  public boolean isOutcoming() {
    return this.isOutcoming;
  }
  
  public void setOutcoming(boolean isOutcoming) {
    this.isOutcoming = isOutcoming;
  }
  
  public Map<Integer, List<String>> getBillTypeMap() {
    return this.billTypeMap;
  }
  
  public void setBillTypeMap(Map<Integer, List<String>> billTypeMap) {
    this.billTypeMap = billTypeMap;
  }
  
  public Integer getUiType() {
    return this.uiType;
  }
  
  public void setUiType(Integer uiType) {
    this.uiType = uiType;
  }
  
  public UFDate getBusiDate() {
    return this.busiDate;
  }
  
  public void setBusiDate(UFDate busiDate) {
    this.busiDate = busiDate;
  }
  
  public String getAcountBook() {
    return this.acountBook;
  }
  
  public void setAcountBook(String acountBook) {
    this.acountBook = acountBook;
  }
  
  public Set<String> getCostDomain() {
    return this.costDomain;
  }
  
  public void setCostDomain(Set<String> costDomain) {
    this.costDomain = costDomain;
  }
  
  public boolean isFetchBefore() {
    return this.isFetchBefore;
  }
  
  public void setFetchBefore(boolean isFetchBefore) {
    this.isFetchBefore = isFetchBefore;
  }
  
  public nc.vo.cm.fetchdata.entity.FetchParamVO getAllFetchParamVo() {
    return this.allFetchParamVo;
  }
  
  public void setAllFetchParamVo(nc.vo.cm.fetchdata.entity.FetchParamVO allFetchParamVo) {
    this.allFetchParamVo = allFetchParamVo;
  }
  
  public PullDataStateVO[] getPullDataStateVOArr() {
    return this.pullDataStateVOArr;
  }
  
  public void setPullDataStateVOArr(PullDataStateVO[] pullDataStateVOArr) {
    this.pullDataStateVOArr = pullDataStateVOArr;
  }
  
  public boolean isForTrans() {
    return this.isForTrans;
  }
  
  public void setForTrans(boolean isForTrans) {
    this.isForTrans = isForTrans;
  }
  
  public UFDate[] getBeginEndDate() {
    return this.beginEndDate;
  }
  
  public void setBeginEndDate(UFDate[] beginEndDate) {
    this.beginEndDate = beginEndDate;
  }
}
